<script lang="ts">
  import Container from "./CommonContainer.svelte";
</script>

<Container href="https://twitter.com/MorganTrench" let:hovering>
  <svg
    style="width: 100%; height: 100%;"
    class="twitter"
    class:hover={hovering}
    viewBox="0 0 248 204"
  >
    <g class="beak">
      <path
        class="top-beak"
        d="M 218.15039 33.080078 C 219.042 35.317 219.72473 37.572704 220.24805 39.699219 C 220.77136 41.825734 221.13477 43.82217 221.38672 45.539062 C 221.89062 48.972848 221.94922 51.289062 221.94922 51.289062 C 231.82922 44.139063 240.37039 35.290859 247.15039 25.130859 C 237.94039 29.220859 228.16039 31.900078 218.15039 33.080078 z "
      />
      <path
        class="bottom-beak"
        d="M 208.2793 17.410156 C 208.2793 17.410156 210.11529 19.745124 212.26758 22.871094 C 213.34372 24.434078 214.49925 26.195066 215.54297 27.960938 C 216.58669 29.726809 217.51942 31.497056 218.15039 33.080078 C 228.69039 26.770078 236.57961 16.840391 240.34961 5.1503906 C 230.42961 11.030391 219.5893 15.180156 208.2793 17.410156 z "
      />
    </g>
    <path
      class="under-wing"
      d="M 75.740234 157.90039 C 80.95783 157.93445 85.870202 157.71848 90.494141 157.28516 C 95.118079 156.85183 99.453575 156.20001 103.51953 155.36133 C 107.58549 154.52265 111.38018 153.4984 114.92383 152.31641 C 118.46748 151.13441 121.75939 149.79531 124.81641 148.33203 C 127.87342 146.86875 130.69668 145.28018 133.30273 143.59766 C 135.90879 141.91513 138.29751 140.13857 140.48828 138.29883 C 142.67905 136.45908 144.67126 134.55602 146.48242 132.62109 C 148.29358 130.68617 149.9234 128.72002 151.39062 126.75195 C 152.85785 124.78388 154.16331 122.81418 155.32227 120.875 C 156.48122 118.93582 157.49449 117.02599 158.38086 115.17773 C 160.1536 111.48122 161.41607 108.02898 162.3125 105.06836 C 163.20893 102.10774 163.7394 99.638604 164.04492 97.910156 C 164.35044 96.181708 164.43164 95.193359 164.43164 95.193359 C 164.58892 93.34708 164.56242 91.609404 164.37305 89.970703 C 164.18368 88.332002 163.83095 86.793023 163.33984 85.349609 C 162.84874 83.906196 162.21863 82.557293 161.4707 81.296875 C 160.72277 80.036457 159.85829 78.865105 158.89844 77.775391 C 157.93859 76.685676 156.88272 75.677396 155.75586 74.746094 C 154.629 73.814792 153.4306 72.960962 152.18164 72.175781 C 149.68372 70.60542 146.98641 69.313532 144.26953 68.253906 C 141.55265 67.19428 138.8168 66.365972 136.24023 65.71875 C 133.66367 65.071528 131.2469 64.606587 129.16992 64.273438 C 125.01597 63.607138 122.2207 63.470703 122.2207 63.470703 C 122.16425 68.970713 122.02291 74.132407 121.74219 79.009766 C 121.46147 83.887124 121.0403 88.480338 120.42188 92.841797 C 119.80345 97.203255 118.98754 101.33285 117.91797 105.28516 C 116.8484 109.23747 115.52478 113.0122 113.89062 116.66211 C 113.07355 118.48707 112.17871 120.27946 111.19922 122.04883 C 110.21972 123.8182 109.15609 125.56388 108 127.29102 C 106.84391 129.01815 105.59687 130.72754 104.25 132.42578 C 102.90313 134.12402 101.45612 135.81145 99.904297 137.49414 C 96.800645 140.85951 93.274185 144.20661 89.265625 147.58984 C 85.257065 150.97307 80.767142 154.39255 75.740234 157.90039 z "
    />
    <path
      class="body"
      d="M 173.01172 1.5214844 C 160.08172 1.1252344 147.00008 5.6607033 136.83008 15.220703 C 123.71008 27.550703 118.1507 45.930703 122.2207 63.470703 C 122.2207 63.470703 125.01597 63.607136 129.16992 64.273438 C 131.2469 64.606587 133.66367 65.071528 136.24023 65.71875 C 138.8168 66.365972 141.55265 67.19428 144.26953 68.253906 C 146.98641 69.313532 149.68372 70.60542 152.18164 72.175781 C 153.4306 72.960962 154.629 73.814792 155.75586 74.746094 C 156.88272 75.677396 157.93859 76.685676 158.89844 77.775391 C 159.85829 78.865105 160.72277 80.036457 161.4707 81.296875 C 162.21863 82.557293 162.84874 83.906196 163.33984 85.349609 C 163.83095 86.793023 164.18368 88.332002 164.37305 89.970703 C 164.56242 91.609404 164.58892 93.34708 164.43164 95.193359 C 164.43164 95.193359 164.35044 96.181708 164.04492 97.910156 C 163.7394 99.638604 163.20893 102.10774 162.3125 105.06836 C 161.41607 108.02898 160.1536 111.48122 158.38086 115.17773 C 157.49449 117.02599 156.48122 118.93582 155.32227 120.875 C 154.16331 122.81418 152.85786 124.78388 151.39062 126.75195 C 149.9234 128.72002 148.29358 130.68617 146.48242 132.62109 C 144.67126 134.55602 142.67905 136.45908 140.48828 138.29883 C 138.29751 140.13857 135.90879 141.91513 133.30273 143.59766 C 130.69668 145.28018 127.87342 146.86875 124.81641 148.33203 C 121.75939 149.79531 118.46748 151.13441 114.92383 152.31641 C 111.38018 153.4984 107.58549 154.52265 103.51953 155.36133 C 99.453577 156.20001 95.118079 156.85183 90.494141 157.28516 C 85.870202 157.71848 80.95783 157.93445 75.740234 157.90039 C 57.850234 171.95039 35.759531 179.58055 13.019531 179.56055 C 8.9995316 179.55055 4.99 179.31008 1 178.83008 C 24.1 193.65008 50.970156 201.5107 78.410156 201.4707 L 78.410156 201.50977 C 116.41567 201.50977 147.24343 188.50725 170.56055 168.71289 C 170.5963 164.95574 170.73867 161.32444 171.14258 157.92383 C 171.60008 154.07196 172.29765 150.4217 173.24805 146.9082 C 174.19844 143.3947 175.40208 140.0184 176.86719 136.7168 C 178.3323 133.41519 180.0589 130.18689 182.06055 126.9707 C 184.0622 123.75451 186.33842 120.55022 188.89844 117.29297 C 191.45845 114.03572 194.30315 110.72557 197.44336 107.30078 C 200.58356 103.87599 204.0195 100.33599 207.76172 96.617188 C 211.27498 93.125917 215.11132 89.440501 219.17383 85.582031 C 221.05702 76.283499 222.09961 66.959079 222.09961 57.820312 C 222.09961 55.630313 222.09922 53.459065 221.94922 51.289062 C 221.94922 51.289062 221.89062 48.972848 221.38672 45.539062 C 221.13477 43.82217 220.77136 41.825734 220.24805 39.699219 C 219.72473 37.572704 219.042 35.317 218.15039 33.080078 C 217.51942 31.497056 216.58669 29.726809 215.54297 27.960938 C 214.49925 26.195066 213.34372 24.434078 212.26758 22.871094 C 210.11529 19.745124 208.2793 17.410156 208.2793 17.410156 C 198.7193 7.2451566 185.94172 1.9177344 173.01172 1.5214844 z "
    />
    <path
      class="belly"
      d="M 219.17383 85.582031 C 215.11132 89.440501 211.27498 93.125917 207.76172 96.617188 C 204.0195 100.33599 200.58356 103.87599 197.44336 107.30078 C 194.30315 110.72557 191.45845 114.03572 188.89844 117.29297 C 186.33842 120.55022 184.0622 123.75451 182.06055 126.9707 C 180.0589 130.18689 178.3323 133.41519 176.86719 136.7168 C 175.40208 140.0184 174.19844 143.3947 173.24805 146.9082 C 172.29765 150.4217 171.60008 154.07196 171.14258 157.92383 C 170.73867 161.32444 170.5963 164.95574 170.56055 168.71289 C 196.42842 146.75315 212.93231 116.40052 219.17383 85.582031 z "
    />
    <g class="wing">
      <path
        class="bottom-wing"
        d="M 122.2207 63.470703 C 122.2207 63.470703 122.23086 64.392071 122.10742 66.003906 C 121.98398 67.615742 121.72785 69.918738 121.19727 72.679688 C 120.66668 75.440637 119.86011 78.660079 118.63867 82.107422 C 118.02795 83.831093 117.31319 85.611412 116.47656 87.419922 C 115.63993 89.228432 114.68199 91.064883 113.58398 92.900391 C 112.48598 94.735899 111.24835 96.570334 109.85352 98.375 C 108.45868 100.17967 106.90682 101.95394 105.17969 103.66992 C 103.45255 105.38591 101.54998 107.04382 99.455078 108.61328 C 97.36018 110.18274 95.072343 111.6642 92.574219 113.0293 C 90.076095 114.3944 87.368454 115.6432 84.431641 116.74609 C 81.494827 117.84899 78.328935 118.80699 74.917969 119.58984 C 71.507002 120.3727 67.85027 120.97979 63.929688 121.38477 C 60.009105 121.78974 55.825038 121.99169 51.359375 121.96094 C 43.929375 123.99094 36.130547 124.29008 28.560547 122.83008 C 35.180547 143.40008 54.130234 157.49039 75.740234 157.90039 C 80.767142 154.39255 85.257065 150.97307 89.265625 147.58984 C 93.274185 144.20661 96.800645 140.85951 99.904297 137.49414 C 101.45612 135.81145 102.90313 134.12402 104.25 132.42578 C 105.59687 130.72754 106.84391 129.01815 108 127.29102 C 109.15609 125.56388 110.21972 123.8182 111.19922 122.04883 C 112.17871 120.27946 113.07356 118.48707 113.89062 116.66211 C 115.52479 113.0122 116.8484 109.23747 117.91797 105.28516 C 118.98754 101.33285 119.80345 97.203255 120.42188 92.841797 C 121.0403 88.480338 121.46147 83.887124 121.74219 79.009766 C 122.02291 74.132407 122.16425 68.970713 122.2207 63.470703 z "
      />
      <path
        class="middle-wing"
        d="M 122.2207 63.470703 C 122.2207 63.470703 122.2524 63.921793 122.13086 64.683594 C 122.00932 65.445395 121.73527 66.517235 121.12305 67.759766 C 120.51082 69.002296 119.55996 70.415235 118.08789 71.857422 C 117.35186 72.578515 116.48505 73.307084 115.46484 74.025391 C 114.44463 74.743697 113.27045 75.452426 111.91992 76.132812 C 110.56939 76.813199 109.0434 77.464934 107.31641 78.072266 C 105.58941 78.679597 103.66132 79.243045 101.51172 79.742188 C 99.362116 80.24133 96.991402 80.677383 94.373047 81.033203 C 91.754692 81.389023 88.889111 81.664434 85.755859 81.841797 C 82.622608 82.01916 79.221636 82.098728 75.527344 82.0625 C 71.833051 82.026272 67.846399 81.872843 63.544922 81.587891 C 59.243445 81.302938 54.626681 80.885218 49.671875 80.316406 C 44.717069 79.747595 39.423811 79.028429 33.769531 78.140625 C 25.729531 77.900625 17.869609 75.730312 10.849609 71.820312 L 10.849609 72.460938 C 10.849609 96.500935 27.799375 117.20094 51.359375 121.96094 C 55.825038 121.99169 60.009104 121.78974 63.929688 121.38477 C 67.850269 120.97979 71.507002 120.3727 74.917969 119.58984 C 78.328935 118.80699 81.494827 117.84899 84.431641 116.74609 C 87.368454 115.6432 90.076095 114.3944 92.574219 113.0293 C 95.072343 111.6642 97.36018 110.18274 99.455078 108.61328 C 101.54998 107.04382 103.45255 105.38591 105.17969 103.66992 C 106.90682 101.95394 108.45868 100.17967 109.85352 98.375 C 111.24835 96.570334 112.48598 94.735899 113.58398 92.900391 C 114.68199 91.064883 115.63993 89.228432 116.47656 87.419922 C 117.31319 85.611412 118.02795 83.831093 118.63867 82.107422 C 119.86011 78.660079 120.66668 75.440637 121.19727 72.679688 C 121.72785 69.918738 121.98398 67.615742 122.10742 66.003906 C 122.23086 64.392071 122.2207 63.470703 122.2207 63.470703 z "
      />
      <path
        class="top-wing"
        d="M 18.140625 10.710938 C 4.740625 33.790937 11.579531 63.310625 33.769531 78.140625 C 39.423811 79.028429 44.717069 79.747595 49.671875 80.316406 C 54.626681 80.885218 59.243445 81.302938 63.544922 81.587891 C 67.846399 81.872843 71.833051 82.026272 75.527344 82.0625 C 79.221636 82.098728 82.622608 82.01916 85.755859 81.841797 C 88.889111 81.664434 91.754692 81.389023 94.373047 81.033203 C 96.991402 80.677383 99.362116 80.24133 101.51172 79.742188 C 103.66132 79.243045 105.58941 78.679597 107.31641 78.072266 C 109.0434 77.464934 110.56939 76.813199 111.91992 76.132812 C 113.27045 75.452426 114.44463 74.743697 115.46484 74.025391 C 116.48505 73.307084 117.35186 72.578515 118.08789 71.857422 C 119.55996 70.415235 120.51082 69.002296 121.12305 67.759766 C 121.73527 66.517235 122.00932 65.445395 122.13086 64.683594 C 122.2524 63.921793 122.2207 63.470703 122.2207 63.470703 C 81.610709 61.440703 43.780625 42.260935 18.140625 10.710938 z "
      />
    </g>
  </svg>
</Container>

<style>
  svg.twitter > path,
  svg.twitter > g {
    fill: hsl(204, 88%, 53%);
  }

  svg.twitter > g.wing > path {
    transform-origin: 122px 64px;
    transition: transform 0.5s;
    animation-duration: 0.75s;
  }
  svg.twitter.hover > g.wing > path {
    animation-iteration-count: infinite;
  }
  svg.twitter.hover > g.wing > path.top-wing {
    fill: hsl(204, 100%, 25%);
    animation-name: top-wing-flap;
  }
  svg.twitter.hover > g.wing > path.middle-wing {
    fill: hsl(204, 80%, 40%);
    animation-name: middle-wing-flap;
  }
  svg.twitter.hover > g.wing > path.bottom-wing {
    fill: hsl(194, 100%, 62%);
    animation-name: bottom-wing-flap;
  }
  svg.twitter.hover > path.under-wing,
  svg.twitter.hover > path.belly {
    fill: hsl(204, 87%, 69%);
  }
  svg.twitter > g.beak {
    transition: all 0.05s;
  }
  svg.twitter.hover > g.beak {
    fill: hsl(204, 100%, 25%);
  }

  @keyframes top-wing-flap {
    0% {
      transform: rotate(0);
    }
    50% {
      transform: rotate(-65deg);
    }
    100% {
      transform: rotate(0deg);
    }
  }
  @keyframes middle-wing-flap {
    0% {
      transform: rotate(0);
    }
    50% {
      transform: rotate(-45deg);
    }
    100% {
      transform: rotate(0deg);
    }
  }
  @keyframes bottom-wing-flap {
    0% {
      transform: rotate(0);
    }
    50% {
      transform: rotate(-25deg);
    }
    100% {
      transform: rotate(0deg);
    }
  }

  svg.twitter * {
    transition: all 0.1s;
  }
</style>
